<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionGalleryBlockCreateGalleryBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'images'    => [
            'en'   => [
                'name' => 'Images',
            ],
            'type' => 'anomaly.field_type.files',
        ],
        'galleries' => [
            'en'     => [
                'name' => 'Galleries',
            ],
            'type'   => 'anomaly.field_type.repeater',
            'config' => [
                'related' => 'gallery_block.galleries',
                'add_row' => 'Add Gallery',
            ],
        ],
    ];

}
