<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionGalleryBlockAddTitleToGalleries extends Migration
{

    protected $delete = false;

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'galleries',
    ];

    /**
     * @var array
     */
    protected $fields = [
        'title' => [
            'en'   => [
                'name' => 'Title',
            ],
            'type' => 'anomaly.field_type.text',
        ],
    ];

    /**
     * @var array
     */
    protected $assignments = [
        'title' => [
            'required' => true,
        ],
    ];

}
