<?php namespace Terrostar\GalleryBlockExtension;

use Anomaly\Streams\Platform\Addon\AddonServiceProvider;
use Terrostar\GalleryBlockExtension\Block\Contract\BlockRepositoryInterface;
use Terrostar\GalleryBlockExtension\Block\BlockRepository;
use Anomaly\Streams\Platform\Model\GalleryBlock\GalleryBlockBlocksEntryModel;
use Terrostar\GalleryBlockExtension\Block\BlockModel;
use Terrostar\GalleryBlockExtension\Gallery\Contract\GalleryRepositoryInterface;
use Terrostar\GalleryBlockExtension\Gallery\GalleryRepository;
use Anomaly\Streams\Platform\Model\GalleryBlock\GalleryBlockGalleriesEntryModel;
use Terrostar\GalleryBlockExtension\Gallery\GalleryModel;
use Illuminate\Routing\Router;

class GalleryBlockExtensionServiceProvider extends AddonServiceProvider
{

    /**
     * The addon class bindings.
     *
     * @type array|null
     */
    protected $bindings = [
        GalleryBlockBlocksEntryModel::class => BlockModel::class,
        GalleryBlockGalleriesEntryModel::class => GalleryModel::class,
    ];

}
